Package mvpa :: Package misc :: Module transformers :: Class DistPValue

[hide private]
[frames] | no frames]

# Class DistPValue

source code

Converts values into p-values under vague and non-scientific assumptions

Nested Classes | [hide private]

Inherited from `state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, sd=0, distribution='rdist', fpp=None, nbins=400, **kwargs) L2-Norm the values, convert them to p-values of a given distribution. | source code

__call__(self, x) | source code

Inherited from `state.ClassWithCollections`: `__getattribute__`, `__new__`, `__repr__`, `__setattr__`, `__str__`, `reset` Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| nulldist_number = `StateVariable(enabled= True, doc= "Number of`...``
| positives_recovered = `StateVariable(enabled= True, doc= "Numbe`...``
Inherited from `state.ClassWithCollections`: `_DEV__doc__`, `descr`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, sd=0, distribution='rdist', fpp=None, nbins=400, **kwargs)
(Constructor)

source code

L2-Norm the values, convert them to p-values of a given distribution.

WARNING: Highly experimental/slow/etc: no theoretical grounds have been presented in any paper, nor proven

Parameters:
  - `sd` (int) - Samples dimension (if len(x.shape)>1) on which to operate
  - `distribution` (string) - Which distribution to use. Known are: 'rdist' (later normal should be there as well)
  - `fpp` (float) - At what p-value (both tails) if not None, to control for false positives. It would iteratively prune the tails (tentative real positives) until empirical p-value becomes less or equal to numerical.
  - `nbins` (int) - Number of bins for the iterative pruning of positives
Overrides: object.__init__

Class Variable Details | [hide private]

### nulldist_number

Value:

      StateVariable(enabled= True, doc= "Number of features within the estim
      ated null-distribution")

### positives_recovered

Value:

      StateVariable(enabled= True, doc= "Number of features considered to be
       positives and which were recovered")